com.elastisys.scale.cloudpool.api

## Enum Protocol

- java.lang.Object
- - java.lang.Enum<Protocol>
  - - com.elastisys.scale.cloudpool.api.Protocol

All Implemented Interfaces:
  Serializable, Comparable<Protocol>

    public enum Protocol
    extends Enum<Protocol>

Supported cloud pool protocols.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HTTP` HTTP protocol.
`HTTPS` HTTPS protocol.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getProtocolName()` The protocol name to use in URIs.
`static Protocol` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Protocol[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HTTP

    public static final Protocol HTTP

HTTP protocol.

#### HTTPS

    public static final Protocol HTTPS

HTTPS protocol.

### Method Detail

#### values

    public static Protocol[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Protocol c : Protocol.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Protocol valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getProtocolName

    public String getProtocolName()

The protocol name to use in URIs. For example, "http".

Returns: